Subject: Re: bug#59674: 28.2; icomplete-force-complete Incorrectly Completes Filename Case

From: Gregory Heytings <[email-masked]>
Date: Tue, 29 Nov 2022 14:23:47 +0000

>
> I cannot reproduce what you describe.  I see a completely different 
> behavior: as soon as I type ~/d/m M-C-i, ~/Documents disappears from the 
> completions, and I see only ~/dir/moo ("dir" is another directory I have 
> under my home directory).
>
> So I'm not sure why you see what you see: perhaps there's some step 
> missing in the recipe?
>

The recipe is not incomplete, but it must be followed very carefully (it's 
really a corner case):

mkdir -p ~/Zack/foo/bar ~/zock
echo baz > ~/Zack/foo/bar/baz.txt
emacs -Q
M-x icomplete-mode RET
M-: (setq read-file-name-completion-ignore-case t) RET
M-x cd ~/zock RET
C-x C-f ~/z/f/b/b ;; only type these characters, with only lower case letters
;; at that point you should see this in the minibuffer:
;; Find file: ~/zock/~/z/f/b/b[...ack/foo/bar/baz.txt] [Matched]
C-M-i
;; now you see:
;; Find file: ~/zock/~/zack/foo/bar/baz.txt[...ack/foo/bar/baz.txt] [Matched]
RET
;; the above baz.txt file is not opened, instead a new empty file is created, and you see:
;; Use M-x make-directory RET RET to create the directory and its parent